[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FindSuccessor

Find successor to node

## Declaration

Source position: avl_tree.pp line 143

`public function TAVLTree.FindSuccessor(`
`ANode: TAVLTreeNode`
`):TAVLTreeNode;`

## Arguments

`ANode` |  | The node from which to start the search

## Function result

The succeeding node

## Description

FindSuccessor returns the successor to ANode: this is the leftmost node in the right subtree, or the leftmost node above the node ANode. This can of course be Nil.

This method is used when a node must be inserted at the rightmost position.

## See also

TAVLTree.FindPrecessor |  |
TAVLTree.MoveDataRightMost |  | Move data to the nearest right element